> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/use-cases-and-tutorials/carriers/create-a-break-in-a-transport-segment.md).

# Create a break in a transport (segment)

When you need to materialize a bulk breaking or a change of trucker, you can create a break in a segment. This will actually split the segment into two, with a new site that you specify, between initial start and end.\
\
Here is an exeample:

* for a simple transport going from A to B, there is one initial segment A -> B
* let's call the break site C
* after the break is created, we have 2 segments resulting:
  * A -> C
  * C -> B

\
If there was a trucker and some plates (vehicle and trailer) assigned to the initial segment, they will remain on the first segment (A -> C).\
When creating the break, you can also assign a trucker and plates for the nbew segment but this is not mandatory. If you decide to assign a trucker, you can also choose whether you want him to be notified with this new mission with the `send_to_trucker` booelan.\
\
Break creation is done using the /segments/{uid}/break/ endpoint.

Here is an exemple payload where we decide to just create a break and not assign to second segment:

```
{
  "site": {
    "address": {
      "name": "Brunel S.A.S. (Exemple)",
      "address": "7 la Loeuf du Houx",
      "city": "Vouzeron",
      "postcode": "18330",
      "country": "FR",
      "latitude": 47.273911,
      "longitude": 2.172278,
      "coords_validated": true
    }
  },
  "trucker_id": null,
  "vehicle": null,
  "trailers": [],
  "send_to_trucker": false
}
```

Trucker and plates assignment can be done later using the /segments/{uid}/assign/ endpoint.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.dashdoc.com/docs/use-cases-and-tutorials/carriers/create-a-break-in-a-transport-segment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
